Get Level List

GET /ws/rest/service/v1/level

Purpose

Get list of level record from Unifier. This works only at project/shell level.

Request Format

All parameters should be URL encoded.

Request Parameters

  • project_number: specify the project/shell number to get project/shell level list.
  • filter_condition
    • filter_condition key definition

      "record_fields": (Optional) A list of fields, that is, DE names in Level; only those fields will be listed out in result.

    • filter_criteria Key Definitions
      • "join": (Optional) Specify if the filter condition has to be combined using OR or AND operator. Default is AND.
      • "filter": List of filter conditions. Each condition will have "field", "value" ("value2" if condition_type is range) and condition_type.
        • "field": BP form DE name for which the filter condition has to be applied.
        • "value": value for the DE to filter the data.
        • "value2": second value for the range condition. Not required to be specified for other conditions.

Possible Values For condition_type

condition_type Notes Supported Data Element Types
like For string data types. The value can contain the SQL wildcard characters when like is specified Text ( String )
eq For string, numeric and date data type. Will perform the exact match. Text ( String ), Number, Cost, Date
lt For numeric values. Will perform less than value. Number, Cost, Date
gt For numeric values. Will perform greater than value. Number, Cost, Date
lteq For numeric values. Will perform less than or equal value. Number, Cost, Date
gteq For numeric values. Will perform greater than or equal value. Number, Cost, Date
neq For numeric values. Will perform not equal value. Text ( String ), Number, Cost, Date
range Numeric, Date values. Will perform range search between value and value2 Number, Cost, Date

Note:

Input Date fields should be provided in "MM-dd-yyyy HH:mm:ss" or ""MM-dd-yyyy" format in filter_criteria.

Response Format

A JSON object is returned in the following format.

{

"data": [],

"message": [],

"status": <REST status code value>

}

A successful response displays a status code 200.

A failed response displays a message with a status code.

Sample filter_condition

This is an example of a filter condition included in the request.

"filter_condition" : {

"record_fields" : "uuu_floor_id, uuu_floor_name",

"filter_criteria":{

"join":"OR",

"filter":[

{

"field":"status",

"value":"Vacant",

"condition_type":"like"

},

{

"field":"App_date",

"value":"10-09-2019 07:54:00",

"value2":"10-17-2019",

"condition_type":"range"

}

]

}

}

Sample Success Response

{

"data": [

{

"App_date": "10/Oct/2019 10:00 AM",

"uuu_sp_level_name": "F-1008"

},

{

"App_date": "10/Oct/2019 12:00 AM",

"uuu_sp_level_name": "F-1009"

},

{

"App_date": "10/Oct/2019 12:00 AM",

"uuu_sp_level_name": "F-1010"

},

{

"App_date": "10/Oct/2019 12:00 AM",

"uuu_sp_level_name": "F-1011"

}

],

"message": [],

"status": 200

}